* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    /* Asegura que el padding y borde no aumenten el tamaño total de los elementos */
}

a {
    text-decoration: none;
}

html,
body {
    height: 100%;
    width: 100%;

    /* Asegura que el html y body ocupen todo el alto de la ventana */
}

p {
    font-weight: 400;
    
}
.titulo {
    /* Replace fixed positioning with appropriate positioning */
    font-size: 2rem;
    /* Adjust font size as needed */
    margin: 0;
    padding-top: 1.5rem;
    margin-left: 4.2rem;
    padding-bottom: 1.25rem;
    position: fixed;
    background-color: none;
    backdrop-filter: blur(1px);
    -webkit-backdrop-filter: blur(1px);
    /* background-color: rgb(255, 255, 255); */
    width: 100vw;
    z-index: 5;
    font-family: "Montserrat";
    font-weight: normal;

    transition: top 0.3s;
    /* Transition effect when sliding down (and up) */
}


header ul {
    list-style-type: none;
    padding: 0;
    display: block;
    margin-top: 4.2rem;
    padding: 1rem;
    margin-left: 3.2rem;
    /* width: 150px; */
    position: fixed;
    font-family: "Montserrat";
    font-weight: normal;
    z-index: 10;
}

header li {
    margin-top: 1rem;
}

header li a {
    text-decoration: none;
    color: #333333a6;
    transition: all 0.2s;
    list-style-type: none;
}

header h1 a {
    text-decoration: none;
    color: #333333;
    transition: all 0.5s;
}

header li a:hover {
    color: black;
    font-size: 1.2rem;
}
.grid {
    /* centrar div */
    margin-left: auto;
    margin-right: auto;
    /* anchura */
    /* width: 100vw; */

    list-style: none;

    display: grid;
    grid-template-columns: repeat(3, 1fr);
    /* 3 columnas de igual ancho */

    /* gap: 4rem; Espacio entre las imágenes */
    align-items: top;
    padding-left: 14rem;
    padding-right: 2rem;

    padding-top: 6rem;

    position: relative;
    z-index: 0;

}
.grid li {
    display: block;
    padding-inline: 1rem;
    padding-bottom: 1rem;
    padding-top: 1rem;
    /* padding-bottom: 1rem; */

    max-width: 100%;
}
.grid li a{
    display: block;
    width: 100%;
}
figure {
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
    
    overflow: hidden; /* El zoom queda limitado al figure */
    transition: all 0.2s;
}

.grid img {
    /* border: solid red; */
    display: block;
    width: 100%;
    height: auto; /* Mantiene la proporción de la imagen */
    object-fit: cover; /* Recorta la imagen para cubrir todo el área del contenedor */
    aspect-ratio: 1 / 1; /* Hace que la imagen sea cuadrada */
    transition: transform 0.4s ease;
}

.grid figure:hover img{
    transform: scale(1.05);
}

.pie{
    display: none;
    padding-top: 1rem;
    text-align: center;
    color: #000000;

    font-family: "Montserrat";

}
.navbtn {
    display: none;
    position: fixed;

    margin: 0;
    padding-left: 5rem;
    padding-top: 1.4rem;
    padding-right: 0.7rem;
    padding-bottom: 0.6rem;

    right: 0;
    cursor: pointer;
    z-index: 1;

    background-color: white;
    font-family: "Montserrat";
    transition: top 0.3s;
    /* Transition effect when sliding down (and up) */

}

.sidenav {
    height: 100%;
    /* 100% Full-height */
    width: 0;
    /* 0 width - change this with JavaScript */
    position: fixed;
    /* Stay in place */
    z-index: 10;
    /* Stay on top */
    top: 0;
    /* Stay at the top */
    right: 0;
    
    background-color: rgb(255, 255, 255);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);

    overflow-x: hidden;
    /* Disable horizontal scroll */
    /* padding-top: 0.5rem; */
    /* Place content 60px from the top */
    transition: 0.5s;
    /* 0.5 second transition effect to slide in the sidenav */
}
/* Si el navegador soporta backdrop-filter */
@supports ((-webkit-backdrop-filter: blur(15px)) or (backdrop-filter: blur(15px))) {
    .sidenav {
        /* Fondo semitransparente */
        backdrop-filter: blur(15px);
        -webkit-backdrop-filter: blur(15px);
    }
}
/* The navigation menu links */
.sidenav a {
    padding: 8px 8px 8px 32px;
    text-decoration: none;
    font-size: 1.3rem;
    color: #000000;
    display: block;
    transition: 0.3s;

    white-space: nowrap;
    /* Prevent text wrapping */

    font-family: "Montserrat";

}

.sidenav a:hover {
    color: #f1f1f1;
}

.sidenav .closebtn {
    left: 10px;
    font-size: 36px;
}
/* Media queries for responsiveness */


@media (max-width: 850px) {
    .titulo {
        margin: 0;
        font-size: 1.2rem;
        position: fixed;
        top: 0;
        /* required */
        margin: 0;
        width: 75vw;
        padding-top: 1rem;
        padding-left: 1rem;
        padding-bottom: 0.5rem;
        background-color: white;
        z-index: 10;
    }

    header ul {
        padding-top: 2rem;
        display: none;
    }

    .navbtn {
        display: block;
        font-size: 0.8rem;
        padding-right: 2rem;    
    }
    .grid{
        padding-inline: 1rem;
        padding-top: 4rem;

        grid-template-columns: repeat(2, 1fr);

    }
    .grid li{
        padding-top: 0rem;
        padding-bottom: 1rem;
        padding-inline: 0rem;
    }

    .pie{
        padding-top: 0.4rem;
        font-size: 0.70rem;
    }
    @media (max-width: 450px) {
        .grid{
            grid-template-columns: repeat(1, 1fr);
    
        }
    }
    @media (max-width: 352px) {
        .navbtn{
            padding-bottom: 2.1rem;
            z-index: 10;
            padding-left: 1rem;
        }
    }
    @media (max-width: 300px) {
        .grid{
            grid-template-columns: repeat(2, 1fr);
        } 
        
    }

}

